<?php defined('SYSPATH') or die('No direct script access.');

class Controller_DeanOffice_Students extends Controller_Environment_DeanOffice
{
    # list / search through all students
    public function action_index() {
        $this->twig->set([
            'Faculties' => Model_Faculties::load(),
            'Grades'    => Model_Grades::loadAll()->as_array('Degree'),
        ])->set_filename(static::DEAN . '/students/index');
    }

    public function action_profile() {
        $id = $this->request->param('id');
        $student = Model_Student::load($id);
        $this->twig->set([
            'Profile' => $student,
            'Account' => Model_Account::with($student->AccountID),
        ])->set_filename(static::DEAN . 'students/profile');
    }
}
