<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Profile extends Controller_Environment_Admin
{
    public function action_student() {
        $id = (int) $this->request->param('param1');
        $student = Model_Student::load($id);
        $this->twig->set([
            'Account' => Model_Account::with($student->AccountID),
            'Profile' => $student,
        ])->set_filename('admin/students/profile');
    }

    public function action_teacher() {
        $id = (int) $this->request->param('param1');
        $info = Model_Account::with($id);
        
        $this->twig->set([
            'Account' => $info,
            'Profile' => $info,
        ])->set_filename('admin/teachers/profile');
    }
}
